# Class Source


## Index

### Constructors
* [constructor](_source_.source.md#constructor)

### Properties
* [_map](_source_.source.md#_map)
* [_source](_source_.source.md#_source)
* [id](_source_.source.md#id)
* [type](_source_.source.md#type)
* [_cnt](_source_.source.md#_cnt)

### Methods
* [addTo](_source_.source.md#addto)

## Constructors

### new Source(type?: string): [Source](_source_.source.md)
  
* Defined in Source.ts:14


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| type? | string|  |

#### Returns: [Source](_source_.source.md)

## Properties

### _map: any

* Defined in Source.ts:14


### _source: any

* Defined in Source.ts:13


### id: string

* Defined in Source.ts:11


### type: string

* Defined in Source.ts:12


### Static Private _cnt: number

* Defined in Source.ts:10


## Methods

### addTo(map: [Map](_map_.map.md)): [Source](_source_.source.md)
  
* Defined in Source.ts:43


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| map | [Map](_map_.map.md)|  |

#### Returns: [Source](_source_.source.md)


Generated using [TypeDoc](http://typedoc.io)
